#jomdirectory-products .price {
    color: #343f49;
    font-size: 18px;
    font-weight: 400;
}

#jomdirectory-products .price-sale {
    color: #e00;
}


#jomdirectory-products .ribbon-wrapper-green {
    width: 85px;
    height: 88px;
    overflow: hidden;
    position: absolute;
    top: -3px;
    right: -3px;
}

#jomdirectory-products .ribbon-green {
    font: bold 15px Sans-Serif;
    color: #333;
    text-align: center;
    text-shadow: rgba(255,255,255,0.5) 0px 1px 0px;
    -webkit-transform: rotate(45deg);
    -moz-transform:    rotate(45deg);
    -ms-transform:     rotate(45deg);
    -o-transform:      rotate(45deg);
    position: relative;
    padding: 7px 0;
    left: -5px;
    top: 15px;
    width: 120px;
    background-color: #d310a4;
    color: #ffffff;
    -webkit-box-shadow: 0px 0px 3px rgba(0,0,0,0.3);
    -moz-box-shadow:    0px 0px 3px rgba(0,0,0,0.3);
    box-shadow:         0px 0px 3px rgba(0,0,0,0.3);
    text-transform: uppercase;
}

#jomdirectory-products .ribbon-green:before, #jomdirectory-products .ribbon-green:after {
    content: "";
    border-top:   3px solid #6e8900;
    border-left:  3px solid transparent;
    border-right: 3px solid transparent;
    position:absolute;
    bottom: -3px;
}

.ribbon-green:before {
    left: 0;
}
.ribbon-green:after {
    right: 0;
}​